curl --request PATCH \
--url https://api.hubapi.com/crm/properties/2026-03/{objectType}/groups/{groupName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayOrder": 123,
"label": "<string>"
}
'{
"archived": true,
"label": "<string>",
"name": "<string>",
"displayOrder": 123
}Perform a partial update of a property group identified by . Provided fields will be overwritten.
curl --request PATCH \
--url https://api.hubapi.com/crm/properties/2026-03/{objectType}/groups/{groupName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayOrder": 123,
"label": "<string>"
}
'{
"archived": true,
"label": "<string>",
"name": "<string>",
"displayOrder": 123
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
A human-readable label that will be shown in HubSpot.
The name of the property to read or modify.
Property groups are displayed in order starting with the lowest positive integer value. Values of -1 will cause the property group to be displayed after any positive values.
Was this page helpful?